/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*   @desc   : 批量修改组件
*   @author : 周兴
*   @date   : 2022/3/26 17:04
* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
import Vue from 'vue'
import ModalBatchEdit from './modal_batch_edit.vue'

const batchEditBox = Vue.extend(ModalBatchEdit)
ModalBatchEdit.install = function (options,{ok,cancel}) {
  let instance = new batchEditBox({
    data: Object.assign(options,{okFunc:ok,cancelFunc:cancel})
  }).$mount()
  document.body.appendChild(instance.$el)

  Vue.nextTick(() => {
    instance.editBatchModal = true
  })
}

export default ModalBatchEdit
